Get datastore (GET /v1/datastores/name/{name})
GET /api/v1/datastores/name/. Storage API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
User defined name of the datastore, unique across the enterprise. Once datastore is created, name can’t be changed.
Response
A successful response.
Datastore idetail
User defined name of the datastore, unique across the enterprise. Once datastore is created, name can’t be changed.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the datastore. Title can be changed at any time.
3 - 256[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Datastore type
DATASTORE_TYPE_UNSPECIFIED, DATASTORE_TYPE_HTTP, DATASTORE_TYPE_HTTPS, DATASTORE_TYPE_AWSS3, DATASTORE_TYPE_SFTP, DATASTORE_TYPE_CONTAINERREGISTRY, DATASTORE_TYPE_AZUREBLOB, DATASTORE_TYPE_ZEDEDAS3, DATASTORE_TYPE_ZEDEDABLOB, DATASTORE_TYPE_FILE_STORAGE Datastore Fully Qualified Domain Name
Datastore relative path w.r.t. Datastore root
System defined universally unique Id of the datastore.
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Detailed description of the datastore.
256system defined info
Datastore region - valid for AWS S3 and Azure BlobStorage
Datastore status
DATASTORE_STATUS_UNSPECIFIED, DATASTORE_STATUS_CREATED, DATASTORE_STATUS_VERIFYING, DATASTORE_STATUS_ACTIVE, DATASTORE_STATUS_INACTIVE, DATASTORE_STATUS_FAILED Datastore validation detailed error/status message
Plain-text sensitive data
Internal - Encrypted sensitive data
Internal - Encryption Key context
Origin type of datastore.
ORIGIN_UNSPECIFIED, ORIGIN_IMPORTED, ORIGIN_LOCAL, ORIGIN_GLOBAL, ORIGIN_APP_PROFILE_LOCAL Certificate chain of the certificate
knob for sending creds in clear text
project access list of the datastore
Managed datastore or not. Managed datastores are created and managed by ZEDEDA.